@import url('https://fonts.googleapis.com/css2?family=Special+Gothic+Expanded+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Alfa+Slab+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Geist+Mono:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bricolage+Grotesque:opsz,wght@12..96,200..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');

:root {

  --color-janna-50: hsl(42, 99%, 99%);
  --color-janna-100: hsl(39, 77%, 91%);
  --color-janna-200: hsl(38, 74%, 85%);
  --color-janna-300: hsl(36, 72%, 73%);
  --color-janna-400: hsl(34, 69%, 61%);
  --color-janna-500: hsl(33, 69%, 55%);
  --color-janna-600: hsl(32, 67%, 49%);
  --color-janna-700: hsl(28, 55%, 41%);
  --color-janna-800: hsl(25, 45%, 36%);
  --color-janna-900: hsl(23, 42%, 29%);
  --color-janna-950: hsl(22, 57%, 15%);

  --color-lightning-yellow-50: hsl(48, 99%, 96%);
  --color-lightning-yellow-100: hsl(48, 91%, 92%);
  --color-lightning-yellow-200: hsl(45, 99%, 90%);
  --color-lightning-yellow-300: hsl(44, 91%, 69%);
  --color-lightning-yellow-400: hsl(42, 91%, 64%);
  --color-lightning-yellow-500: hsl(38, 92%, 49%);
  --color-lightning-yellow-600: hsl(34, 91%, 42%);
  --color-lightning-yellow-700: hsl(28, 88%, 33%);
  --color-lightning-yellow-800: hsl(25, 86%, 29%);
  --color-lightning-yellow-900: hsl(23, 84%, 26%);
  --color-lightning-yellow-950: hsl(18, 80%, 14%);

  --color-crusta-50: hsl(16, 98%, 95%);
  --color-crusta-100: hsl(16, 98%, 92%);
  --color-crusta-200: hsl(16, 88%, 84%);
  --color-crusta-300: hsl(16, 87%, 75%);
  --color-crusta-400: hsl(16, 85%, 63%);
  --color-crusta-500: hsl(16, 84%, 53%);
  --color-crusta-600: hsl(15, 81%, 46%);
  --color-crusta-700: hsl(15, 74%, 37%);
  --color-crusta-800: hsl(14, 70%, 29%);
  --color-crusta-900: hsl(13, 66%, 25%);
  --color-crusta-950: hsl(12, 78%, 12%);

  --color-lavender-rose-50: hsl(314, 97%, 96%);
  --color-lavender-rose-100: hsl(314, 95%, 94%);
  --color-lavender-rose-200: hsl(313, 92%, 87%);
  --color-lavender-rose-300: hsl(312, 88%, 80%);
  --color-lavender-rose-400: hsl(311, 84%, 74%);
  --color-lavender-rose-500: hsl(309, 77%, 62%);
  --color-lavender-rose-600: hsl(308, 71%, 53%);
  --color-lavender-rose-700: hsl(306, 63%, 44%);
  --color-lavender-rose-800: hsl(305, 56%, 38%);
  --color-lavender-rose-900: hsl(304, 49%, 32%);
  --color-lavender-rose-950: hsl(302, 69%, 18%);

  --color-scooter-50: hsl(183, 100%, 96%);
  --color-scooter-100: hsl(183, 92%, 93%);
  --color-scooter-200: hsl(183, 90%, 82%);
  --color-scooter-300: hsl(184, 90%, 72%);
  --color-scooter-400: hsl(184, 88%, 60%);
  --color-scooter-500: hsl(184, 94%, 43%);
  --color-scooter-600: hsl(184, 91%, 34%);
  --color-scooter-700: hsl(185, 88%, 29%);
  --color-scooter-800: hsl(186, 78%, 27%);
  --color-scooter-900: hsl(186, 72%, 24%);
  --color-scooter-950: hsl(187, 80%, 13%);

}

/* Set-up */

*,
*::before,
*::after {
  margin-block: 0;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  border: none;
  background: transparent;
}


body {
  background: hsl(45, 40%, 94%);
  font-family: "Jost", sans-serif;
  font-size: 1em;
  line-height: 1;
  font-weight: 400;
  display: block;
  color: rgb(0, 0, 45);
}

body::before {
  content: "";
  position: fixed;
  inset: 0;
  pointer-events: none;
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 200 200'%3E%3Cfilter id='promGrain'%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.85' numOctaves='1' seed='14' stitchTiles='stitch' result='noise'/%3E%3CfeColorMatrix in='noise' type='saturate' values='0' result='mono'/%3E%3CfeComponentTransfer in='mono'%3E%3CfeFuncR type='gamma' amplitude='1.2' exponent='1.15'/%3E%3CfeFuncG type='gamma' amplitude='1.2' exponent='1.15'/%3E%3CfeFuncB type='gamma' amplitude='1.2' exponent='1.15'/%3E%3C/feComponentTransfer%3E%3C/filter%3E%3Crect width='100%25' height='100%25' filter='url(%23promGrain)' opacity='0.2'/%3E%3C/svg%3E") repeat;
  background-size: 200px 200px;
  z-index: 9999;
}

main {
  max-width: 1050px;
  margin: auto;
  padding: 0 1rem;
}


/* Text */

h1 {
  font-weight: 800;
  line-height: 1.1;
  font-family: "Bricolage Grotesque", sans-serif;
  font-size: 2.7rem;

}

h2 {
  font-weight: 700;
  font-family: "Bricolage Grotesque", sans-serif;
  font-size: 1.7rem;
  line-height: 1;
}

.centered{
  text-align:center;
}

h3 {
  font-weight: 600;
  font-size: 1.3rem;
}

h4 {
  font-weight: 500;
  font-size: 1rem;
}

h5 {
  font-weight: 500;
  font-size: 1rem;
}

h6 {
  font-weight: 500;
  font-size: 1rem;
}

p {
  font-size: 1rem;
  line-height: 1.3;
}


/* Links */

a {
  text-decoration-thickness: 1.5px;
  text-underline-offset: 0.2em;
  color: rgb(255, 241, 183);
  display: inline-block;
  padding: 0.2rem;
  margin: -0.2rem;
  line-height: 1.45;
}

a:hover {
  text-decoration: none;
}

/* Header */

.page-header {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  justify-content: center;
  align-items: center;
  max-width: 750px;
  margin: 0 auto;
  margin-top: 2rem;
  margin-bottom:4rem;
}

.header-crest {
  position: relative;
}

.header-circle-1 {
  height: 10rem;
  width: 10rem;
  border-radius: 50%;
  flex-shrink: 0;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  background: rgba(255, 237, 34, 0.8);
  z-index: 1;
}

.header-circle-2 {
  height: 10rem;
  width: 10rem;
  border-radius: 50%;
  flex-shrink: 0;
  position: absolute;
  left: 50%;
  transform: translateX(-51%);
  top: 3px;
  background: rgba(253, 138, 247, 0.8);
  z-index: 2;
}

.header-circle-3 {
  height: 10rem;
  width: 10rem;
  border-radius: 50%;
  flex-shrink: 0;
  position: absolute;
  left: 50%;
  top: 6px;
  transform: translateX(-48%);
  background: rgba(218, 22, 22, 0.5);
  z-index: 3;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}

.header-logo {
  background-image: url('crest.svg');
  background-repeat: no-repeat;
  background-size: 6rem;
  background-position: center;
  height: 11rem;
  width: 11rem;
  border-radius: 50%;
  flex-shrink: 0;
  z-index: 4;
  position: absolute;
  left: 50%;
  top: -2px;
  transform: translateX(-48%);
}

.page-header-title {
  display: flex;
  flex-direction: column;
  gap: 0.6rem;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-top: 10rem;
}


.page-header-title h2 {
  font-size: 1.2rem;
  line-height: 1.3;
  margin-bottom: 1rem;
}

.header-intro {
  font-size: 1.2rem;
}

.header-organisation {
  margin-top: 0.5rem;
}

a.header-organisation {
  color: rgb(0, 0, 45);
  text-transform: uppercase;
}

/* Dividers */

.illustration{
  height:5rem;
  margin-top:2rem;
  margin-bottom:2rem;
  display:flex;
  align-items:center;
  justify-content:center;
}

.illustration img{
  object-fit:contain;
  height:100%;
  max-width:10rem;
}

img.rotated{
  transform:rotate(90deg);
  height:85%;
}

/* Events */

.events-wrapper {
  margin-bottom: 4rem;
  margin-top: 2rem;
  display: grid;
  gap: 2rem;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  align-items: stretch;
}

.event-listing-wrapper {
  position: relative;
}

.event-listing {
height:100%;
  position: relative;
  background: rgba(209, 37, 37, 0.5);
  transition: transform 180ms ease;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);  clip-path: polygon(0 1%, 8% 0.5%, 20% 0.8%, 35% 1%, 50% 0.5%, 65% 1%, 80% 0.7%, 92% 0.9%, 100% 1%,
      100% 22%, 100% 38%, 100% 52%, 100% 68%, 100% 82%, 100% 98%,
      88% 100%, 70% 99%, 50% 100%, 30% 99%, 12% 100%, 0 99%,
      0 82%, 0 68%, 0 52%, 0 38%, 0 22%, 0 8%);
}

.event-listing-bg {
  position: absolute;
  top: 5px;
  left: 5px;
  width: 100%;
  height: 100%;
  background: rgba(253, 138, 247, 0.8);
  transform: rotate(2deg);
  transition: transform 180ms ease;  clip-path: polygon(0 1%, 8% 0.5%, 20% 0.8%, 35% 1%, 50% 0.5%, 65% 1%, 80% 0.7%, 92% 0.9%, 100% 1%,
      100% 22%, 100% 38%, 100% 52%, 100% 68%, 100% 82%, 100% 98%,
      88% 100%, 70% 99%, 50% 100%, 30% 99%, 12% 100%, 0 99%,
      0 82%, 0 68%, 0 52%, 0 38%, 0 22%, 0 8%);

}

.event-listing-bg-2 {
  position: absolute;
  top: -5px;
  left: -5px;
  width: 100%;
  height: 100%;
  background: rgba(255, 237, 34, 0.8);
  transform: rotate(-2deg);
  transition: transform 180ms ease;  clip-path: polygon(0 1%, 8% 0.5%, 20% 0.8%, 35% 1%, 50% 0.5%, 65% 1%, 80% 0.7%, 92% 0.9%, 100% 1%,
      100% 22%, 100% 38%, 100% 52%, 100% 68%, 100% 82%, 100% 98%,
      88% 100%, 70% 99%, 50% 100%, 30% 99%, 12% 100%, 0 99%,
      0 82%, 0 68%, 0 52%, 0 38%, 0 22%, 0 8%);
}

.event-listing-wrapper:nth-child(even) .event-listing-bg {
  background: rgba(255, 237, 34, 0.8);
}

.event-listing-wrapper:nth-child(even) .event-listing-bg-2 {
  background: rgba(253, 138, 247, 0.8);
}

.event-listing-wrapper:hover .event-listing {
  transform: rotate(0deg);
}

.event-listing-wrapper:hover .event-listing-bg {
  transform: rotate(0deg);
}

.event-listing-wrapper:hover .event-listing-bg-2 {
  transform: rotate(0deg);
}

.event-listing-content {
  color: hsl(45, 80%, 98%);
  padding: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 0.5rem;
  height:100%;
}

.event-listing-content img {
  object-fit: cover;
  aspect-ratio: 16 / 7;
}

.event-listing-header {
  position: relative;
}

.event-listing-title {
  padding-right: 4.2rem;
}

.event-listing-date {
  position: absolute;
  top: 0;
  right: 0;
  border: 1.5px solid hsl(45, 80%, 98%);
  opacity: 0.9;
  height: 3.2rem;
  width: 3.2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: transform 180ms ease;
}

.event-listing-wrapper:hover .event-listing-date {
  transform: rotate(10deg)
}

.event-listing-date span.date-day {
  font-weight: 700;
  font-family: "Bricolage Grotesque", sans-serif;
  font-size: 1.8rem;
  line-height: 1;
}

.event-listing-date span.date-month {
  text-transform: uppercase;
  font-size: 0.9rem;
  line-height: 1;
}

.event-listing-subtitle {
  display: flex;
  flex-direction: column;
  gap: 0.2rem;
  padding-right: 4.2rem;
}

.event-listing-subtitle .venue-name {
  font-weight: 500;
  font-size: 1.1rem;
}

.event-listing-subtitle .event-time {
  font-size: 0.9rem;
  font-weight: 300;
}


.event-listing-details {
  border-top: 1.5px dotted hsl(45, 80%, 98%);
  padding-top: 0.5rem;
}

.event-listing-repeater {
  background: rgba(0, 0, 0, 0.1);
  border: 1.5px solid hsl(45, 80%, 98%);
  padding: 0.2rem 0.4rem;
  font-size: 0.9rem;
  width: fit-content;
  display: flex;
  align-items: center;
  gap: 0.4rem;
}

.repeater-icon {
  flex-shrink: 0;
  width: 1.2rem;
  height: 1.2rem;
  background-color: currentColor;

  -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='black'%3E%3Cpath fill-rule='evenodd' d='M4.755 10.059a7.5 7.5 0 0 1 12.548-3.364l1.903 1.903h-3.183a.75.75 0 1 0 0 1.5h4.992a.75.75 0 0 0 .75-.75V4.356a.75.75 0 0 0-1.5 0v3.18l-1.9-1.9A9 9 0 0 0 3.306 9.67a.75.75 0 1 0 1.45.388Zm15.408 3.352a.75.75 0 0 0-.919.53 7.5 7.5 0 0 1-12.548 3.364l-1.902-1.903h3.183a.75.75 0 0 0 0-1.5H2.984a.75.75 0 0 0-.75.75v4.992a.75.75 0 0 0 1.5 0v-3.18l1.9 1.9a9 9 0 0 0 15.059-4.035.75.75 0 0 0-.53-.918Z' clip-rule='evenodd'/%3E%3C/svg%3E") no-repeat center / contain;
  mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='black'%3E%3Cpath fill-rule='evenodd' d='M4.755 10.059a7.5 7.5 0 0 1 12.548-3.364l1.903 1.903h-3.183a.75.75 0 1 0 0 1.5h4.992a.75.75 0 0 0 .75-.75V4.356a.75.75 0 0 0-1.5 0v3.18l-1.9-1.9A9 9 0 0 0 3.306 9.67a.75.75 0 1 0 1.45.388Zm15.408 3.352a.75.75 0 0 0-.919.53 7.5 7.5 0 0 1-12.548 3.364l-1.902-1.903h3.183a.75.75 0 0 0 0-1.5H2.984a.75.75 0 0 0-.75.75v4.992a.75.75 0 0 0 1.5 0v-3.18l1.9 1.9a9 9 0 0 0 15.059-4.035.75.75 0 0 0-.53-.918Z' clip-rule='evenodd'/%3E%3C/svg%3E") no-repeat center / contain;

  transition: transform 0.2s ease;
}

.event-listing-wrapper:hover .repeater-icon {
  transform: rotate(180deg);
}

.event-listing-repeater p {
  margin: 0;
  line-height: 1;
  font-size: 0.9rem;
}

.event-listing-links {
  display: flex;
  justify-content: space-between;
  margin-top:auto;
}